Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.awt
Class MouseUtils

    java.lang.Object
      org.openide.awt.MouseUtils

    public class MouseUtils

extends Object

A class that contains a set of utility classes and methods around mouse events and processing.

Nested Class Summary
`static class` | `MouseUtils.PopupMouseAdapter` The PopupMouseAdapter provides safe way to implement popup menu invocation mechanism.

Constructor Summary
`MouseUtils()`

Method Summary
`static boolean` | `isDoubleClick(MouseEvent e)` Returns true if parametr is a 'doubleclick event'
`static boolean` | `isLeftMouseButton(MouseEvent e)` Deprecated. Offers no advantages over the standard `SwingUtilities.isLeftMouseButton(java.awt.event.MouseEvent)`.
`static boolean` | `isRightMouseButton(MouseEvent e)` Deprecated. Offers no advantages over the standard `SwingUtilities.isRightMouseButton(java.awt.event.MouseEvent)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MouseUtils

    public MouseUtils()

Method Detail

### isRightMouseButton

    public static boolean isRightMouseButton(MouseEvent e)

  Deprecated. Offers no advantages over the standard `SwingUtilities.isRightMouseButton(java.awt.event.MouseEvent)`.

  Determines if the event is originated from the right mouse button

  Parameters:
    `e` - the MouseEvent
  Returns:
    true if the event is originated from the right mouse button, false otherwise

### isLeftMouseButton

    public static boolean isLeftMouseButton(MouseEvent e)

  Deprecated. Offers no advantages over the standard `SwingUtilities.isLeftMouseButton(java.awt.event.MouseEvent)`.

  Determines if the event is originated from a left mouse button

  Parameters:
    `e` - the MouseEvent
  Returns:
    true if the event is originated from the left mouse button, false otherwise

### isDoubleClick

    public static boolean isDoubleClick(MouseEvent e)

  Returns true if parametr is a 'doubleclick event'

  Parameters:
    `e` - MouseEvent
  Returns:
    true if the event is a doubleclick

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.